Skip to main content
View as Markdown

Payment Amount Return ⚠️(Deprecated)

By calling this method an Online Shop can return a Payment Amount fully or partially. Return of a Payment Amount cannot be canceled. Calling method for returning a Payment Amount partially is possible until the sum of partially returned Payment Amount reaches the full paid amount.

Parameters​

order_idrequiredstring

A payment ID for which a return of the Payment Amount is performed

amountoptionalnumber

An amount to be returned back. Passing a value in this parameter is mandatory when the partial return is performed. The full amount will be returned back when this parameter is not passed. The value passed in this parameter cannot be greater than or equal to the full Payment Amount
POST /opay/api/v1/checkout/refund HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Authorization: Bearer <jwt_token>
order_id=order_id
amount=amount